Bug 115951 - Arabic alphabet page number format is not showing correctly
Summary: Arabic alphabet page number format is not showing correctly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.1.0 target:6.0.3
Keywords: bibisected, bisected, needUITest, regression
Depends on:
Blocks: RTL-Arabic Numbering-Formats
  Show dependency treegraph
 
Reported: 2018-02-23 02:06 UTC by radwan hallak
Modified: 2018-03-02 13:32 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
video shoing the bug :( (1.17 MB, video/mp4)
2018-02-23 02:50 UTC, radwan hallak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description radwan hallak 2018-02-23 02:06:35 UTC
Description:
when i insert page number and try to change its format to Arabic alphabet (أ - ب - ج) the page number changed to alphabet of another language (sorry i do not know its name), so this bug begin in LO 6.0 and still until now.

Steps to Reproduce:
1.from insert select page number
2. Double-click directly in the page number, You will see the Edit Fields dialog
3. select the Arabic alphabet from the format section, like (أ-ب-ج) or (أ-ب-ت)

Actual Results:  
writer showing the different language alphabet that what i want.

Expected Results:
showing page number in Arabic alphabet 


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Version: 6.0.1.1
Build ID: 1:6.0.1~rc1-0ubuntu0.16.04.1~lo1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk2; 
Locale: ar-SY (en_US.UTF-8); Calc: group


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:58.0) Gecko/20100101 Firefox/58.0
Comment 1 radwan hallak 2018-02-23 02:50:01 UTC
Created attachment 140079 [details]
video shoing the bug :(
Comment 2 radwan hallak 2018-02-23 06:23:46 UTC
*note: the bug is not found in LO 5.4 version
Comment 3 Xisco Faulí 2018-02-23 12:20:27 UTC
Steps to reproduce:
1. Open Writer
2. Insert - Page Number
3. Double click on the number
4. Select arabic ( see video attached )

Regression introduced by:

author	Caolán McNamara <caolanm@redhat.com>	2017-06-11 20:56:30 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2017-07-21 08:20:50 +0100
commit	00657aef09d854c74fb426a935a3e8b1fc390bb0 (patch)
tree	fd1a9bb264fe15dcc129498e62060ecd256b1ee7
parent	fa987cbb813cfd729fe490f2f1258b7c8d7fb174 (diff)
migrate to boost::gettext

Bisected with: bibisect-linux64-6.0

Adding Cc: to Caolán McNamara
Comment 4 Caolán McNamara 2018-02-26 11:51:42 UTC
https://gerrit.libreoffice.org/50354
Comment 5 Commit Notification 2018-02-27 09:51:07 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3a4129ed5946e2b8661dc8df23e00c4b6c6ecc8

Resolves: tdf#115951 wrong entry selected for numbering pos

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2018-02-27 09:51:46 UTC
backport to 6-0 in gerrit
Comment 7 Commit Notification 2018-03-02 13:32:28 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=731aa4b4b93bea443c2a44a37fa6289aeb84a873&h=libreoffice-6-0

Resolves: tdf#115951 wrong entry selected for numbering pos

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.